Package org.jbpm.process.core.impl

## Class WorkDefinitionImpl

- java.lang.Object
- - org.jbpm.process.core.impl.WorkDefinitionImpl

- All Implemented Interfaces:
    `Serializable`, `WorkDefinition`
  Direct Known Subclasses:
    `WorkDefinitionExtensionImpl`

      public class WorkDefinitionImpl
      extends Object
      implements WorkDefinition, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkDefinitionImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParameter​(ParameterDefinition parameter)` |
    `void` | `addResult​(ParameterDefinition result)` |
    `String` | `getName()` |
    `ParameterDefinition` | `getParameter​(String name)` |
    `String[]` | `getParameterNames()` |
    `Set<ParameterDefinition>` | `getParameters()` |
    `ParameterDefinition` | `getResult​(String name)` |
    `String[]` | `getResultNames()` |
    `Set<ParameterDefinition>` | `getResults()` |
    `void` | `removeParameter​(String name)` |
    `void` | `removeResult​(String name)` |
    `void` | `setName​(String name)` |
    `void` | `setParameters​(Set<ParameterDefinition> parameters)` |
    `void` | `setResults​(Set<ParameterDefinition> results)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkDefinitionImpl

          public WorkDefinitionImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `WorkDefinition`

    - #### setName

          public void setName​(String name)

    - #### getParameters

          public Set<ParameterDefinition> getParameters()

      Specified by:
        `getParameters` in interface `WorkDefinition`

    - #### setParameters

          public void setParameters​(Set<ParameterDefinition> parameters)

    - #### addParameter

          public void addParameter​(ParameterDefinition parameter)

    - #### removeParameter

          public void removeParameter​(String name)

    - #### getParameterNames

          public String[] getParameterNames()

      Specified by:
        `getParameterNames` in interface `WorkDefinition`

    - #### getParameter

          public ParameterDefinition getParameter​(String name)

      Specified by:
        `getParameter` in interface `WorkDefinition`

    - #### getResults

          public Set<ParameterDefinition> getResults()

      Specified by:
        `getResults` in interface `WorkDefinition`

    - #### setResults

          public void setResults​(Set<ParameterDefinition> results)

    - #### addResult

          public void addResult​(ParameterDefinition result)

    - #### removeResult

          public void removeResult​(String name)

    - #### getResultNames

          public String[] getResultNames()

      Specified by:
        `getResultNames` in interface `WorkDefinition`

    - #### getResult

          public ParameterDefinition getResult​(String name)

      Specified by:
        `getResult` in interface `WorkDefinition`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`